/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *  
 *    http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License. 
 *  
 */
package org.apache.directory.mitosis.store;

/**
 * A {@link RuntimeException} which is thrown when {@link ReplicationStore}
 * has a problem in accessing its underlying data source (e.g. a file).
 * 
 * @author The Apache Directory Project (dev@directory.apache.org)
 * @version $Rev$, $Date$
 */
public class ReplicationStoreException extends RuntimeException
{

    private static final long serialVersionUID = 3257289127798913336L;


    public ReplicationStoreException()
    {
        super();
    }


    public ReplicationStoreException( String message )
    {
        super( message );
    }


    public ReplicationStoreException( String message, Throwable cause )
    {
        super( message, cause );
    }


    public ReplicationStoreException( Throwable cause )
    {
        super( cause );
    }
}
